// DO NOT EDIT: This file is autogenerated via the builtin command.

package schema

import (
	ast "github.com/influxdata/flux/ast"
	runtime "github.com/influxdata/flux/runtime"
)

func init() {
	runtime.RegisterPackage(pkgAST)
}

var pkgAST = &ast.Package{
	BaseNode: ast.BaseNode{
		Errors: nil,
		Loc:    nil,
	},
	Files: []*ast.File{&ast.File{
		BaseNode: ast.BaseNode{
			Errors: nil,
			Loc: &ast.SourceLocation{
				End: ast.Position{
					Column: 51,
					Line:   49,
				},
				File:   "schema.flux",
				Source: "package schema\n\n// fieldsAsCols is a special application of pivot that will automatically align fields within each measurement that have the same timestamp.\nfieldsAsCols = (tables=<-) =>\n    tables\n        |> pivot(rowKey:[\"_time\"], columnKey: [\"_field\"], valueColumn: \"_value\")\n\n// TagValues returns the unique values for a given tag.\n// The return value is always a single table with a single column \"_value\".\ntagValues = (bucket, tag, predicate=(r) => true, start=-30d) =>\n    from(bucket: bucket)\n      |> range(start: start)\n      |> filter(fn: predicate)\n      |> keep(columns: [tag])\n      |> group()\n      |> distinct(column: tag)\n\n// MeasurementTagValues returns a single table with a single column \"_value\" that contains the\n// The return value is always a single table with a single column \"_value\".\nmeasurementTagValues = (bucket, measurement, tag) =>\n    tagValues(bucket: bucket, tag: tag, predicate: (r) => r._measurement == measurement)\n\n// TagKeys returns the list of tag keys for all series that match the predicate.\n// The return value is always a single table with a single column \"_value\".\ntagKeys = (bucket, predicate=(r) => true, start=-30d) =>\n    from(bucket: bucket)\n        |> range(start: start)\n        |> filter(fn: predicate)\n        |> keys()\n        |> keep(columns: [\"_value\"])\n        |> distinct()\n\n// MeasurementTagKeys returns the list of tag keys for a specific measurement.\nmeasurementTagKeys = (bucket, measurement) =>\n    tagKeys(bucket: bucket, predicate: (r) => r._measurement == measurement)\n\n// FieldKeys is a special application of tagValues that returns field keys in a given bucket.\n// The return value is always a single table with a single column, \"_value\".\nfieldKeys = (bucket, predicate=(r) => true, start=-30d) =>\n    tagValues(bucket: bucket, tag: \"_field\", predicate: predicate, start: start)\n\n// MeasurementFieldKeys returns field keys in a given measurement.\n// The return value is always a single table with a single column, \"_value\".\nmeasurementFieldKeys = (bucket, measurement, start=-30d) =>\n    fieldKeys(bucket: bucket, predicate: (r) => r._measurement == measurement, start: start)\n\n// Measurements returns the list of measurements in a specific bucket.\nmeasurements = (bucket) =>\n    tagValues(bucket: bucket, tag: \"_measurement\")",
				Start: ast.Position{
					Column: 1,
					Line:   1,
				},
			},
		},
		Body: []ast.Statement{&ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 81,
						Line:   6,
					},
					File:   "schema.flux",
					Source: "fieldsAsCols = (tables=<-) =>\n    tables\n        |> pivot(rowKey:[\"_time\"], columnKey: [\"_field\"], valueColumn: \"_value\")",
					Start: ast.Position{
						Column: 1,
						Line:   4,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 13,
							Line:   4,
						},
						File:   "schema.flux",
						Source: "fieldsAsCols",
						Start: ast.Position{
							Column: 1,
							Line:   4,
						},
					},
				},
				Name: "fieldsAsCols",
			},
			Init: &ast.FunctionExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 81,
							Line:   6,
						},
						File:   "schema.flux",
						Source: "(tables=<-) =>\n    tables\n        |> pivot(rowKey:[\"_time\"], columnKey: [\"_field\"], valueColumn: \"_value\")",
						Start: ast.Position{
							Column: 16,
							Line:   4,
						},
					},
				},
				Body: &ast.PipeExpression{
					Argument: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 11,
									Line:   5,
								},
								File:   "schema.flux",
								Source: "tables",
								Start: ast.Position{
									Column: 5,
									Line:   5,
								},
							},
						},
						Name: "tables",
					},
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 81,
								Line:   6,
							},
							File:   "schema.flux",
							Source: "tables\n        |> pivot(rowKey:[\"_time\"], columnKey: [\"_field\"], valueColumn: \"_value\")",
							Start: ast.Position{
								Column: 5,
								Line:   5,
							},
						},
					},
					Call: &ast.CallExpression{
						Arguments: []ast.Expression{&ast.ObjectExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 80,
										Line:   6,
									},
									File:   "schema.flux",
									Source: "rowKey:[\"_time\"], columnKey: [\"_field\"], valueColumn: \"_value\"",
									Start: ast.Position{
										Column: 18,
										Line:   6,
									},
								},
							},
							Properties: []*ast.Property{&ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 34,
											Line:   6,
										},
										File:   "schema.flux",
										Source: "rowKey:[\"_time\"]",
										Start: ast.Position{
											Column: 18,
											Line:   6,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 24,
												Line:   6,
											},
											File:   "schema.flux",
											Source: "rowKey",
											Start: ast.Position{
												Column: 18,
												Line:   6,
											},
										},
									},
									Name: "rowKey",
								},
								Value: &ast.ArrayExpression{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 34,
												Line:   6,
											},
											File:   "schema.flux",
											Source: "[\"_time\"]",
											Start: ast.Position{
												Column: 25,
												Line:   6,
											},
										},
									},
									Elements: []ast.Expression{&ast.StringLiteral{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 33,
													Line:   6,
												},
												File:   "schema.flux",
												Source: "\"_time\"",
												Start: ast.Position{
													Column: 26,
													Line:   6,
												},
											},
										},
										Value: "_time",
									}},
								},
							}, &ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 57,
											Line:   6,
										},
										File:   "schema.flux",
										Source: "columnKey: [\"_field\"]",
										Start: ast.Position{
											Column: 36,
											Line:   6,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 45,
												Line:   6,
											},
											File:   "schema.flux",
											Source: "columnKey",
											Start: ast.Position{
												Column: 36,
												Line:   6,
											},
										},
									},
									Name: "columnKey",
								},
								Value: &ast.ArrayExpression{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 57,
												Line:   6,
											},
											File:   "schema.flux",
											Source: "[\"_field\"]",
											Start: ast.Position{
												Column: 47,
												Line:   6,
											},
										},
									},
									Elements: []ast.Expression{&ast.StringLiteral{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 56,
													Line:   6,
												},
												File:   "schema.flux",
												Source: "\"_field\"",
												Start: ast.Position{
													Column: 48,
													Line:   6,
												},
											},
										},
										Value: "_field",
									}},
								},
							}, &ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 80,
											Line:   6,
										},
										File:   "schema.flux",
										Source: "valueColumn: \"_value\"",
										Start: ast.Position{
											Column: 59,
											Line:   6,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 70,
												Line:   6,
											},
											File:   "schema.flux",
											Source: "valueColumn",
											Start: ast.Position{
												Column: 59,
												Line:   6,
											},
										},
									},
									Name: "valueColumn",
								},
								Value: &ast.StringLiteral{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 80,
												Line:   6,
											},
											File:   "schema.flux",
											Source: "\"_value\"",
											Start: ast.Position{
												Column: 72,
												Line:   6,
											},
										},
									},
									Value: "_value",
								},
							}},
							With: nil,
						}},
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 81,
									Line:   6,
								},
								File:   "schema.flux",
								Source: "pivot(rowKey:[\"_time\"], columnKey: [\"_field\"], valueColumn: \"_value\")",
								Start: ast.Position{
									Column: 12,
									Line:   6,
								},
							},
						},
						Callee: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 17,
										Line:   6,
									},
									File:   "schema.flux",
									Source: "pivot",
									Start: ast.Position{
										Column: 12,
										Line:   6,
									},
								},
							},
							Name: "pivot",
						},
					},
				},
				Params: []*ast.Property{&ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 26,
								Line:   4,
							},
							File:   "schema.flux",
							Source: "tables=<-",
							Start: ast.Position{
								Column: 17,
								Line:   4,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 23,
									Line:   4,
								},
								File:   "schema.flux",
								Source: "tables",
								Start: ast.Position{
									Column: 17,
									Line:   4,
								},
							},
						},
						Name: "tables",
					},
					Value: &ast.PipeLiteral{BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 26,
								Line:   4,
							},
							File:   "schema.flux",
							Source: "<-",
							Start: ast.Position{
								Column: 24,
								Line:   4,
							},
						},
					}},
				}},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 31,
						Line:   16,
					},
					File:   "schema.flux",
					Source: "tagValues = (bucket, tag, predicate=(r) => true, start=-30d) =>\n    from(bucket: bucket)\n      |> range(start: start)\n      |> filter(fn: predicate)\n      |> keep(columns: [tag])\n      |> group()\n      |> distinct(column: tag)",
					Start: ast.Position{
						Column: 1,
						Line:   10,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 10,
							Line:   10,
						},
						File:   "schema.flux",
						Source: "tagValues",
						Start: ast.Position{
							Column: 1,
							Line:   10,
						},
					},
				},
				Name: "tagValues",
			},
			Init: &ast.FunctionExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 31,
							Line:   16,
						},
						File:   "schema.flux",
						Source: "(bucket, tag, predicate=(r) => true, start=-30d) =>\n    from(bucket: bucket)\n      |> range(start: start)\n      |> filter(fn: predicate)\n      |> keep(columns: [tag])\n      |> group()\n      |> distinct(column: tag)",
						Start: ast.Position{
							Column: 13,
							Line:   10,
						},
					},
				},
				Body: &ast.PipeExpression{
					Argument: &ast.PipeExpression{
						Argument: &ast.PipeExpression{
							Argument: &ast.PipeExpression{
								Argument: &ast.PipeExpression{
									Argument: &ast.CallExpression{
										Arguments: []ast.Expression{&ast.ObjectExpression{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 24,
														Line:   11,
													},
													File:   "schema.flux",
													Source: "bucket: bucket",
													Start: ast.Position{
														Column: 10,
														Line:   11,
													},
												},
											},
											Properties: []*ast.Property{&ast.Property{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 24,
															Line:   11,
														},
														File:   "schema.flux",
														Source: "bucket: bucket",
														Start: ast.Position{
															Column: 10,
															Line:   11,
														},
													},
												},
												Key: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 16,
																Line:   11,
															},
															File:   "schema.flux",
															Source: "bucket",
															Start: ast.Position{
																Column: 10,
																Line:   11,
															},
														},
													},
													Name: "bucket",
												},
												Value: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 24,
																Line:   11,
															},
															File:   "schema.flux",
															Source: "bucket",
															Start: ast.Position{
																Column: 18,
																Line:   11,
															},
														},
													},
													Name: "bucket",
												},
											}},
											With: nil,
										}},
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 25,
													Line:   11,
												},
												File:   "schema.flux",
												Source: "from(bucket: bucket)",
												Start: ast.Position{
													Column: 5,
													Line:   11,
												},
											},
										},
										Callee: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 9,
														Line:   11,
													},
													File:   "schema.flux",
													Source: "from",
													Start: ast.Position{
														Column: 5,
														Line:   11,
													},
												},
											},
											Name: "from",
										},
									},
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 29,
												Line:   12,
											},
											File:   "schema.flux",
											Source: "from(bucket: bucket)\n      |> range(start: start)",
											Start: ast.Position{
												Column: 5,
												Line:   11,
											},
										},
									},
									Call: &ast.CallExpression{
										Arguments: []ast.Expression{&ast.ObjectExpression{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 28,
														Line:   12,
													},
													File:   "schema.flux",
													Source: "start: start",
													Start: ast.Position{
														Column: 16,
														Line:   12,
													},
												},
											},
											Properties: []*ast.Property{&ast.Property{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 28,
															Line:   12,
														},
														File:   "schema.flux",
														Source: "start: start",
														Start: ast.Position{
															Column: 16,
															Line:   12,
														},
													},
												},
												Key: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 21,
																Line:   12,
															},
															File:   "schema.flux",
															Source: "start",
															Start: ast.Position{
																Column: 16,
																Line:   12,
															},
														},
													},
													Name: "start",
												},
												Value: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 28,
																Line:   12,
															},
															File:   "schema.flux",
															Source: "start",
															Start: ast.Position{
																Column: 23,
																Line:   12,
															},
														},
													},
													Name: "start",
												},
											}},
											With: nil,
										}},
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 29,
													Line:   12,
												},
												File:   "schema.flux",
												Source: "range(start: start)",
												Start: ast.Position{
													Column: 10,
													Line:   12,
												},
											},
										},
										Callee: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 15,
														Line:   12,
													},
													File:   "schema.flux",
													Source: "range",
													Start: ast.Position{
														Column: 10,
														Line:   12,
													},
												},
											},
											Name: "range",
										},
									},
								},
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 31,
											Line:   13,
										},
										File:   "schema.flux",
										Source: "from(bucket: bucket)\n      |> range(start: start)\n      |> filter(fn: predicate)",
										Start: ast.Position{
											Column: 5,
											Line:   11,
										},
									},
								},
								Call: &ast.CallExpression{
									Arguments: []ast.Expression{&ast.ObjectExpression{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 30,
													Line:   13,
												},
												File:   "schema.flux",
												Source: "fn: predicate",
												Start: ast.Position{
													Column: 17,
													Line:   13,
												},
											},
										},
										Properties: []*ast.Property{&ast.Property{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 30,
														Line:   13,
													},
													File:   "schema.flux",
													Source: "fn: predicate",
													Start: ast.Position{
														Column: 17,
														Line:   13,
													},
												},
											},
											Key: &ast.Identifier{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 19,
															Line:   13,
														},
														File:   "schema.flux",
														Source: "fn",
														Start: ast.Position{
															Column: 17,
															Line:   13,
														},
													},
												},
												Name: "fn",
											},
											Value: &ast.Identifier{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 30,
															Line:   13,
														},
														File:   "schema.flux",
														Source: "predicate",
														Start: ast.Position{
															Column: 21,
															Line:   13,
														},
													},
												},
												Name: "predicate",
											},
										}},
										With: nil,
									}},
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 31,
												Line:   13,
											},
											File:   "schema.flux",
											Source: "filter(fn: predicate)",
											Start: ast.Position{
												Column: 10,
												Line:   13,
											},
										},
									},
									Callee: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 16,
													Line:   13,
												},
												File:   "schema.flux",
												Source: "filter",
												Start: ast.Position{
													Column: 10,
													Line:   13,
												},
											},
										},
										Name: "filter",
									},
								},
							},
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 30,
										Line:   14,
									},
									File:   "schema.flux",
									Source: "from(bucket: bucket)\n      |> range(start: start)\n      |> filter(fn: predicate)\n      |> keep(columns: [tag])",
									Start: ast.Position{
										Column: 5,
										Line:   11,
									},
								},
							},
							Call: &ast.CallExpression{
								Arguments: []ast.Expression{&ast.ObjectExpression{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 29,
												Line:   14,
											},
											File:   "schema.flux",
											Source: "columns: [tag]",
											Start: ast.Position{
												Column: 15,
												Line:   14,
											},
										},
									},
									Properties: []*ast.Property{&ast.Property{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 29,
													Line:   14,
												},
												File:   "schema.flux",
												Source: "columns: [tag]",
												Start: ast.Position{
													Column: 15,
													Line:   14,
												},
											},
										},
										Key: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 22,
														Line:   14,
													},
													File:   "schema.flux",
													Source: "columns",
													Start: ast.Position{
														Column: 15,
														Line:   14,
													},
												},
											},
											Name: "columns",
										},
										Value: &ast.ArrayExpression{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 29,
														Line:   14,
													},
													File:   "schema.flux",
													Source: "[tag]",
													Start: ast.Position{
														Column: 24,
														Line:   14,
													},
												},
											},
											Elements: []ast.Expression{&ast.Identifier{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 28,
															Line:   14,
														},
														File:   "schema.flux",
														Source: "tag",
														Start: ast.Position{
															Column: 25,
															Line:   14,
														},
													},
												},
												Name: "tag",
											}},
										},
									}},
									With: nil,
								}},
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 30,
											Line:   14,
										},
										File:   "schema.flux",
										Source: "keep(columns: [tag])",
										Start: ast.Position{
											Column: 10,
											Line:   14,
										},
									},
								},
								Callee: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 14,
												Line:   14,
											},
											File:   "schema.flux",
											Source: "keep",
											Start: ast.Position{
												Column: 10,
												Line:   14,
											},
										},
									},
									Name: "keep",
								},
							},
						},
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 17,
									Line:   15,
								},
								File:   "schema.flux",
								Source: "from(bucket: bucket)\n      |> range(start: start)\n      |> filter(fn: predicate)\n      |> keep(columns: [tag])\n      |> group()",
								Start: ast.Position{
									Column: 5,
									Line:   11,
								},
							},
						},
						Call: &ast.CallExpression{
							Arguments: nil,
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 17,
										Line:   15,
									},
									File:   "schema.flux",
									Source: "group()",
									Start: ast.Position{
										Column: 10,
										Line:   15,
									},
								},
							},
							Callee: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 15,
											Line:   15,
										},
										File:   "schema.flux",
										Source: "group",
										Start: ast.Position{
											Column: 10,
											Line:   15,
										},
									},
								},
								Name: "group",
							},
						},
					},
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 31,
								Line:   16,
							},
							File:   "schema.flux",
							Source: "from(bucket: bucket)\n      |> range(start: start)\n      |> filter(fn: predicate)\n      |> keep(columns: [tag])\n      |> group()\n      |> distinct(column: tag)",
							Start: ast.Position{
								Column: 5,
								Line:   11,
							},
						},
					},
					Call: &ast.CallExpression{
						Arguments: []ast.Expression{&ast.ObjectExpression{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 30,
										Line:   16,
									},
									File:   "schema.flux",
									Source: "column: tag",
									Start: ast.Position{
										Column: 19,
										Line:   16,
									},
								},
							},
							Properties: []*ast.Property{&ast.Property{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 30,
											Line:   16,
										},
										File:   "schema.flux",
										Source: "column: tag",
										Start: ast.Position{
											Column: 19,
											Line:   16,
										},
									},
								},
								Key: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 25,
												Line:   16,
											},
											File:   "schema.flux",
											Source: "column",
											Start: ast.Position{
												Column: 19,
												Line:   16,
											},
										},
									},
									Name: "column",
								},
								Value: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 30,
												Line:   16,
											},
											File:   "schema.flux",
											Source: "tag",
											Start: ast.Position{
												Column: 27,
												Line:   16,
											},
										},
									},
									Name: "tag",
								},
							}},
							With: nil,
						}},
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 31,
									Line:   16,
								},
								File:   "schema.flux",
								Source: "distinct(column: tag)",
								Start: ast.Position{
									Column: 10,
									Line:   16,
								},
							},
						},
						Callee: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 18,
										Line:   16,
									},
									File:   "schema.flux",
									Source: "distinct",
									Start: ast.Position{
										Column: 10,
										Line:   16,
									},
								},
							},
							Name: "distinct",
						},
					},
				},
				Params: []*ast.Property{&ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 20,
								Line:   10,
							},
							File:   "schema.flux",
							Source: "bucket",
							Start: ast.Position{
								Column: 14,
								Line:   10,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 20,
									Line:   10,
								},
								File:   "schema.flux",
								Source: "bucket",
								Start: ast.Position{
									Column: 14,
									Line:   10,
								},
							},
						},
						Name: "bucket",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 25,
								Line:   10,
							},
							File:   "schema.flux",
							Source: "tag",
							Start: ast.Position{
								Column: 22,
								Line:   10,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 25,
									Line:   10,
								},
								File:   "schema.flux",
								Source: "tag",
								Start: ast.Position{
									Column: 22,
									Line:   10,
								},
							},
						},
						Name: "tag",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 48,
								Line:   10,
							},
							File:   "schema.flux",
							Source: "predicate=(r) => true",
							Start: ast.Position{
								Column: 27,
								Line:   10,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 36,
									Line:   10,
								},
								File:   "schema.flux",
								Source: "predicate",
								Start: ast.Position{
									Column: 27,
									Line:   10,
								},
							},
						},
						Name: "predicate",
					},
					Value: &ast.FunctionExpression{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 48,
									Line:   10,
								},
								File:   "schema.flux",
								Source: "(r) => true",
								Start: ast.Position{
									Column: 37,
									Line:   10,
								},
							},
						},
						Body: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 48,
										Line:   10,
									},
									File:   "schema.flux",
									Source: "true",
									Start: ast.Position{
										Column: 44,
										Line:   10,
									},
								},
							},
							Name: "true",
						},
						Params: []*ast.Property{&ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 39,
										Line:   10,
									},
									File:   "schema.flux",
									Source: "r",
									Start: ast.Position{
										Column: 38,
										Line:   10,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 39,
											Line:   10,
										},
										File:   "schema.flux",
										Source: "r",
										Start: ast.Position{
											Column: 38,
											Line:   10,
										},
									},
								},
								Name: "r",
							},
							Value: nil,
						}},
					},
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 60,
								Line:   10,
							},
							File:   "schema.flux",
							Source: "start=-30d",
							Start: ast.Position{
								Column: 50,
								Line:   10,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 55,
									Line:   10,
								},
								File:   "schema.flux",
								Source: "start",
								Start: ast.Position{
									Column: 50,
									Line:   10,
								},
							},
						},
						Name: "start",
					},
					Value: &ast.UnaryExpression{
						Argument: &ast.DurationLiteral{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 60,
										Line:   10,
									},
									File:   "schema.flux",
									Source: "30d",
									Start: ast.Position{
										Column: 57,
										Line:   10,
									},
								},
							},
							Values: []ast.Duration{ast.Duration{
								Magnitude: int64(30),
								Unit:      "d",
							}},
						},
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 60,
									Line:   10,
								},
								File:   "schema.flux",
								Source: "-30d",
								Start: ast.Position{
									Column: 56,
									Line:   10,
								},
							},
						},
						Operator: 6,
					},
				}},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 89,
						Line:   21,
					},
					File:   "schema.flux",
					Source: "measurementTagValues = (bucket, measurement, tag) =>\n    tagValues(bucket: bucket, tag: tag, predicate: (r) => r._measurement == measurement)",
					Start: ast.Position{
						Column: 1,
						Line:   20,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 21,
							Line:   20,
						},
						File:   "schema.flux",
						Source: "measurementTagValues",
						Start: ast.Position{
							Column: 1,
							Line:   20,
						},
					},
				},
				Name: "measurementTagValues",
			},
			Init: &ast.FunctionExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 89,
							Line:   21,
						},
						File:   "schema.flux",
						Source: "(bucket, measurement, tag) =>\n    tagValues(bucket: bucket, tag: tag, predicate: (r) => r._measurement == measurement)",
						Start: ast.Position{
							Column: 24,
							Line:   20,
						},
					},
				},
				Body: &ast.CallExpression{
					Arguments: []ast.Expression{&ast.ObjectExpression{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 88,
									Line:   21,
								},
								File:   "schema.flux",
								Source: "bucket: bucket, tag: tag, predicate: (r) => r._measurement == measurement",
								Start: ast.Position{
									Column: 15,
									Line:   21,
								},
							},
						},
						Properties: []*ast.Property{&ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 29,
										Line:   21,
									},
									File:   "schema.flux",
									Source: "bucket: bucket",
									Start: ast.Position{
										Column: 15,
										Line:   21,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 21,
											Line:   21,
										},
										File:   "schema.flux",
										Source: "bucket",
										Start: ast.Position{
											Column: 15,
											Line:   21,
										},
									},
								},
								Name: "bucket",
							},
							Value: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 29,
											Line:   21,
										},
										File:   "schema.flux",
										Source: "bucket",
										Start: ast.Position{
											Column: 23,
											Line:   21,
										},
									},
								},
								Name: "bucket",
							},
						}, &ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 39,
										Line:   21,
									},
									File:   "schema.flux",
									Source: "tag: tag",
									Start: ast.Position{
										Column: 31,
										Line:   21,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 34,
											Line:   21,
										},
										File:   "schema.flux",
										Source: "tag",
										Start: ast.Position{
											Column: 31,
											Line:   21,
										},
									},
								},
								Name: "tag",
							},
							Value: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 39,
											Line:   21,
										},
										File:   "schema.flux",
										Source: "tag",
										Start: ast.Position{
											Column: 36,
											Line:   21,
										},
									},
								},
								Name: "tag",
							},
						}, &ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 88,
										Line:   21,
									},
									File:   "schema.flux",
									Source: "predicate: (r) => r._measurement == measurement",
									Start: ast.Position{
										Column: 41,
										Line:   21,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 50,
											Line:   21,
										},
										File:   "schema.flux",
										Source: "predicate",
										Start: ast.Position{
											Column: 41,
											Line:   21,
										},
									},
								},
								Name: "predicate",
							},
							Value: &ast.FunctionExpression{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 88,
											Line:   21,
										},
										File:   "schema.flux",
										Source: "(r) => r._measurement == measurement",
										Start: ast.Position{
											Column: 52,
											Line:   21,
										},
									},
								},
								Body: &ast.BinaryExpression{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 88,
												Line:   21,
											},
											File:   "schema.flux",
											Source: "r._measurement == measurement",
											Start: ast.Position{
												Column: 59,
												Line:   21,
											},
										},
									},
									Left: &ast.MemberExpression{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 73,
													Line:   21,
												},
												File:   "schema.flux",
												Source: "r._measurement",
												Start: ast.Position{
													Column: 59,
													Line:   21,
												},
											},
										},
										Object: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 60,
														Line:   21,
													},
													File:   "schema.flux",
													Source: "r",
													Start: ast.Position{
														Column: 59,
														Line:   21,
													},
												},
											},
											Name: "r",
										},
										Property: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 73,
														Line:   21,
													},
													File:   "schema.flux",
													Source: "_measurement",
													Start: ast.Position{
														Column: 61,
														Line:   21,
													},
												},
											},
											Name: "_measurement",
										},
									},
									Operator: 17,
									Right: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 88,
													Line:   21,
												},
												File:   "schema.flux",
												Source: "measurement",
												Start: ast.Position{
													Column: 77,
													Line:   21,
												},
											},
										},
										Name: "measurement",
									},
								},
								Params: []*ast.Property{&ast.Property{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 54,
												Line:   21,
											},
											File:   "schema.flux",
											Source: "r",
											Start: ast.Position{
												Column: 53,
												Line:   21,
											},
										},
									},
									Key: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 54,
													Line:   21,
												},
												File:   "schema.flux",
												Source: "r",
												Start: ast.Position{
													Column: 53,
													Line:   21,
												},
											},
										},
										Name: "r",
									},
									Value: nil,
								}},
							},
						}},
						With: nil,
					}},
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 89,
								Line:   21,
							},
							File:   "schema.flux",
							Source: "tagValues(bucket: bucket, tag: tag, predicate: (r) => r._measurement == measurement)",
							Start: ast.Position{
								Column: 5,
								Line:   21,
							},
						},
					},
					Callee: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 14,
									Line:   21,
								},
								File:   "schema.flux",
								Source: "tagValues",
								Start: ast.Position{
									Column: 5,
									Line:   21,
								},
							},
						},
						Name: "tagValues",
					},
				},
				Params: []*ast.Property{&ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 31,
								Line:   20,
							},
							File:   "schema.flux",
							Source: "bucket",
							Start: ast.Position{
								Column: 25,
								Line:   20,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 31,
									Line:   20,
								},
								File:   "schema.flux",
								Source: "bucket",
								Start: ast.Position{
									Column: 25,
									Line:   20,
								},
							},
						},
						Name: "bucket",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 44,
								Line:   20,
							},
							File:   "schema.flux",
							Source: "measurement",
							Start: ast.Position{
								Column: 33,
								Line:   20,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 44,
									Line:   20,
								},
								File:   "schema.flux",
								Source: "measurement",
								Start: ast.Position{
									Column: 33,
									Line:   20,
								},
							},
						},
						Name: "measurement",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 49,
								Line:   20,
							},
							File:   "schema.flux",
							Source: "tag",
							Start: ast.Position{
								Column: 46,
								Line:   20,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 49,
									Line:   20,
								},
								File:   "schema.flux",
								Source: "tag",
								Start: ast.Position{
									Column: 46,
									Line:   20,
								},
							},
						},
						Name: "tag",
					},
					Value: nil,
				}},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 22,
						Line:   31,
					},
					File:   "schema.flux",
					Source: "tagKeys = (bucket, predicate=(r) => true, start=-30d) =>\n    from(bucket: bucket)\n        |> range(start: start)\n        |> filter(fn: predicate)\n        |> keys()\n        |> keep(columns: [\"_value\"])\n        |> distinct()",
					Start: ast.Position{
						Column: 1,
						Line:   25,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 8,
							Line:   25,
						},
						File:   "schema.flux",
						Source: "tagKeys",
						Start: ast.Position{
							Column: 1,
							Line:   25,
						},
					},
				},
				Name: "tagKeys",
			},
			Init: &ast.FunctionExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 22,
							Line:   31,
						},
						File:   "schema.flux",
						Source: "(bucket, predicate=(r) => true, start=-30d) =>\n    from(bucket: bucket)\n        |> range(start: start)\n        |> filter(fn: predicate)\n        |> keys()\n        |> keep(columns: [\"_value\"])\n        |> distinct()",
						Start: ast.Position{
							Column: 11,
							Line:   25,
						},
					},
				},
				Body: &ast.PipeExpression{
					Argument: &ast.PipeExpression{
						Argument: &ast.PipeExpression{
							Argument: &ast.PipeExpression{
								Argument: &ast.PipeExpression{
									Argument: &ast.CallExpression{
										Arguments: []ast.Expression{&ast.ObjectExpression{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 24,
														Line:   26,
													},
													File:   "schema.flux",
													Source: "bucket: bucket",
													Start: ast.Position{
														Column: 10,
														Line:   26,
													},
												},
											},
											Properties: []*ast.Property{&ast.Property{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 24,
															Line:   26,
														},
														File:   "schema.flux",
														Source: "bucket: bucket",
														Start: ast.Position{
															Column: 10,
															Line:   26,
														},
													},
												},
												Key: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 16,
																Line:   26,
															},
															File:   "schema.flux",
															Source: "bucket",
															Start: ast.Position{
																Column: 10,
																Line:   26,
															},
														},
													},
													Name: "bucket",
												},
												Value: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 24,
																Line:   26,
															},
															File:   "schema.flux",
															Source: "bucket",
															Start: ast.Position{
																Column: 18,
																Line:   26,
															},
														},
													},
													Name: "bucket",
												},
											}},
											With: nil,
										}},
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 25,
													Line:   26,
												},
												File:   "schema.flux",
												Source: "from(bucket: bucket)",
												Start: ast.Position{
													Column: 5,
													Line:   26,
												},
											},
										},
										Callee: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 9,
														Line:   26,
													},
													File:   "schema.flux",
													Source: "from",
													Start: ast.Position{
														Column: 5,
														Line:   26,
													},
												},
											},
											Name: "from",
										},
									},
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 31,
												Line:   27,
											},
											File:   "schema.flux",
											Source: "from(bucket: bucket)\n        |> range(start: start)",
											Start: ast.Position{
												Column: 5,
												Line:   26,
											},
										},
									},
									Call: &ast.CallExpression{
										Arguments: []ast.Expression{&ast.ObjectExpression{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 30,
														Line:   27,
													},
													File:   "schema.flux",
													Source: "start: start",
													Start: ast.Position{
														Column: 18,
														Line:   27,
													},
												},
											},
											Properties: []*ast.Property{&ast.Property{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 30,
															Line:   27,
														},
														File:   "schema.flux",
														Source: "start: start",
														Start: ast.Position{
															Column: 18,
															Line:   27,
														},
													},
												},
												Key: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 23,
																Line:   27,
															},
															File:   "schema.flux",
															Source: "start",
															Start: ast.Position{
																Column: 18,
																Line:   27,
															},
														},
													},
													Name: "start",
												},
												Value: &ast.Identifier{
													BaseNode: ast.BaseNode{
														Errors: nil,
														Loc: &ast.SourceLocation{
															End: ast.Position{
																Column: 30,
																Line:   27,
															},
															File:   "schema.flux",
															Source: "start",
															Start: ast.Position{
																Column: 25,
																Line:   27,
															},
														},
													},
													Name: "start",
												},
											}},
											With: nil,
										}},
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 31,
													Line:   27,
												},
												File:   "schema.flux",
												Source: "range(start: start)",
												Start: ast.Position{
													Column: 12,
													Line:   27,
												},
											},
										},
										Callee: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 17,
														Line:   27,
													},
													File:   "schema.flux",
													Source: "range",
													Start: ast.Position{
														Column: 12,
														Line:   27,
													},
												},
											},
											Name: "range",
										},
									},
								},
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 33,
											Line:   28,
										},
										File:   "schema.flux",
										Source: "from(bucket: bucket)\n        |> range(start: start)\n        |> filter(fn: predicate)",
										Start: ast.Position{
											Column: 5,
											Line:   26,
										},
									},
								},
								Call: &ast.CallExpression{
									Arguments: []ast.Expression{&ast.ObjectExpression{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 32,
													Line:   28,
												},
												File:   "schema.flux",
												Source: "fn: predicate",
												Start: ast.Position{
													Column: 19,
													Line:   28,
												},
											},
										},
										Properties: []*ast.Property{&ast.Property{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 32,
														Line:   28,
													},
													File:   "schema.flux",
													Source: "fn: predicate",
													Start: ast.Position{
														Column: 19,
														Line:   28,
													},
												},
											},
											Key: &ast.Identifier{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 21,
															Line:   28,
														},
														File:   "schema.flux",
														Source: "fn",
														Start: ast.Position{
															Column: 19,
															Line:   28,
														},
													},
												},
												Name: "fn",
											},
											Value: &ast.Identifier{
												BaseNode: ast.BaseNode{
													Errors: nil,
													Loc: &ast.SourceLocation{
														End: ast.Position{
															Column: 32,
															Line:   28,
														},
														File:   "schema.flux",
														Source: "predicate",
														Start: ast.Position{
															Column: 23,
															Line:   28,
														},
													},
												},
												Name: "predicate",
											},
										}},
										With: nil,
									}},
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 33,
												Line:   28,
											},
											File:   "schema.flux",
											Source: "filter(fn: predicate)",
											Start: ast.Position{
												Column: 12,
												Line:   28,
											},
										},
									},
									Callee: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 18,
													Line:   28,
												},
												File:   "schema.flux",
												Source: "filter",
												Start: ast.Position{
													Column: 12,
													Line:   28,
												},
											},
										},
										Name: "filter",
									},
								},
							},
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 18,
										Line:   29,
									},
									File:   "schema.flux",
									Source: "from(bucket: bucket)\n        |> range(start: start)\n        |> filter(fn: predicate)\n        |> keys()",
									Start: ast.Position{
										Column: 5,
										Line:   26,
									},
								},
							},
							Call: &ast.CallExpression{
								Arguments: nil,
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 18,
											Line:   29,
										},
										File:   "schema.flux",
										Source: "keys()",
										Start: ast.Position{
											Column: 12,
											Line:   29,
										},
									},
								},
								Callee: &ast.Identifier{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 16,
												Line:   29,
											},
											File:   "schema.flux",
											Source: "keys",
											Start: ast.Position{
												Column: 12,
												Line:   29,
											},
										},
									},
									Name: "keys",
								},
							},
						},
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 37,
									Line:   30,
								},
								File:   "schema.flux",
								Source: "from(bucket: bucket)\n        |> range(start: start)\n        |> filter(fn: predicate)\n        |> keys()\n        |> keep(columns: [\"_value\"])",
								Start: ast.Position{
									Column: 5,
									Line:   26,
								},
							},
						},
						Call: &ast.CallExpression{
							Arguments: []ast.Expression{&ast.ObjectExpression{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 36,
											Line:   30,
										},
										File:   "schema.flux",
										Source: "columns: [\"_value\"]",
										Start: ast.Position{
											Column: 17,
											Line:   30,
										},
									},
								},
								Properties: []*ast.Property{&ast.Property{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 36,
												Line:   30,
											},
											File:   "schema.flux",
											Source: "columns: [\"_value\"]",
											Start: ast.Position{
												Column: 17,
												Line:   30,
											},
										},
									},
									Key: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 24,
													Line:   30,
												},
												File:   "schema.flux",
												Source: "columns",
												Start: ast.Position{
													Column: 17,
													Line:   30,
												},
											},
										},
										Name: "columns",
									},
									Value: &ast.ArrayExpression{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 36,
													Line:   30,
												},
												File:   "schema.flux",
												Source: "[\"_value\"]",
												Start: ast.Position{
													Column: 26,
													Line:   30,
												},
											},
										},
										Elements: []ast.Expression{&ast.StringLiteral{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 35,
														Line:   30,
													},
													File:   "schema.flux",
													Source: "\"_value\"",
													Start: ast.Position{
														Column: 27,
														Line:   30,
													},
												},
											},
											Value: "_value",
										}},
									},
								}},
								With: nil,
							}},
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 37,
										Line:   30,
									},
									File:   "schema.flux",
									Source: "keep(columns: [\"_value\"])",
									Start: ast.Position{
										Column: 12,
										Line:   30,
									},
								},
							},
							Callee: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 16,
											Line:   30,
										},
										File:   "schema.flux",
										Source: "keep",
										Start: ast.Position{
											Column: 12,
											Line:   30,
										},
									},
								},
								Name: "keep",
							},
						},
					},
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 22,
								Line:   31,
							},
							File:   "schema.flux",
							Source: "from(bucket: bucket)\n        |> range(start: start)\n        |> filter(fn: predicate)\n        |> keys()\n        |> keep(columns: [\"_value\"])\n        |> distinct()",
							Start: ast.Position{
								Column: 5,
								Line:   26,
							},
						},
					},
					Call: &ast.CallExpression{
						Arguments: nil,
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 22,
									Line:   31,
								},
								File:   "schema.flux",
								Source: "distinct()",
								Start: ast.Position{
									Column: 12,
									Line:   31,
								},
							},
						},
						Callee: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 20,
										Line:   31,
									},
									File:   "schema.flux",
									Source: "distinct",
									Start: ast.Position{
										Column: 12,
										Line:   31,
									},
								},
							},
							Name: "distinct",
						},
					},
				},
				Params: []*ast.Property{&ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 18,
								Line:   25,
							},
							File:   "schema.flux",
							Source: "bucket",
							Start: ast.Position{
								Column: 12,
								Line:   25,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 18,
									Line:   25,
								},
								File:   "schema.flux",
								Source: "bucket",
								Start: ast.Position{
									Column: 12,
									Line:   25,
								},
							},
						},
						Name: "bucket",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 41,
								Line:   25,
							},
							File:   "schema.flux",
							Source: "predicate=(r) => true",
							Start: ast.Position{
								Column: 20,
								Line:   25,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 29,
									Line:   25,
								},
								File:   "schema.flux",
								Source: "predicate",
								Start: ast.Position{
									Column: 20,
									Line:   25,
								},
							},
						},
						Name: "predicate",
					},
					Value: &ast.FunctionExpression{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 41,
									Line:   25,
								},
								File:   "schema.flux",
								Source: "(r) => true",
								Start: ast.Position{
									Column: 30,
									Line:   25,
								},
							},
						},
						Body: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 41,
										Line:   25,
									},
									File:   "schema.flux",
									Source: "true",
									Start: ast.Position{
										Column: 37,
										Line:   25,
									},
								},
							},
							Name: "true",
						},
						Params: []*ast.Property{&ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 32,
										Line:   25,
									},
									File:   "schema.flux",
									Source: "r",
									Start: ast.Position{
										Column: 31,
										Line:   25,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 32,
											Line:   25,
										},
										File:   "schema.flux",
										Source: "r",
										Start: ast.Position{
											Column: 31,
											Line:   25,
										},
									},
								},
								Name: "r",
							},
							Value: nil,
						}},
					},
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 53,
								Line:   25,
							},
							File:   "schema.flux",
							Source: "start=-30d",
							Start: ast.Position{
								Column: 43,
								Line:   25,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 48,
									Line:   25,
								},
								File:   "schema.flux",
								Source: "start",
								Start: ast.Position{
									Column: 43,
									Line:   25,
								},
							},
						},
						Name: "start",
					},
					Value: &ast.UnaryExpression{
						Argument: &ast.DurationLiteral{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 53,
										Line:   25,
									},
									File:   "schema.flux",
									Source: "30d",
									Start: ast.Position{
										Column: 50,
										Line:   25,
									},
								},
							},
							Values: []ast.Duration{ast.Duration{
								Magnitude: int64(30),
								Unit:      "d",
							}},
						},
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 53,
									Line:   25,
								},
								File:   "schema.flux",
								Source: "-30d",
								Start: ast.Position{
									Column: 49,
									Line:   25,
								},
							},
						},
						Operator: 6,
					},
				}},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 77,
						Line:   35,
					},
					File:   "schema.flux",
					Source: "measurementTagKeys = (bucket, measurement) =>\n    tagKeys(bucket: bucket, predicate: (r) => r._measurement == measurement)",
					Start: ast.Position{
						Column: 1,
						Line:   34,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 19,
							Line:   34,
						},
						File:   "schema.flux",
						Source: "measurementTagKeys",
						Start: ast.Position{
							Column: 1,
							Line:   34,
						},
					},
				},
				Name: "measurementTagKeys",
			},
			Init: &ast.FunctionExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 77,
							Line:   35,
						},
						File:   "schema.flux",
						Source: "(bucket, measurement) =>\n    tagKeys(bucket: bucket, predicate: (r) => r._measurement == measurement)",
						Start: ast.Position{
							Column: 22,
							Line:   34,
						},
					},
				},
				Body: &ast.CallExpression{
					Arguments: []ast.Expression{&ast.ObjectExpression{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 76,
									Line:   35,
								},
								File:   "schema.flux",
								Source: "bucket: bucket, predicate: (r) => r._measurement == measurement",
								Start: ast.Position{
									Column: 13,
									Line:   35,
								},
							},
						},
						Properties: []*ast.Property{&ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 27,
										Line:   35,
									},
									File:   "schema.flux",
									Source: "bucket: bucket",
									Start: ast.Position{
										Column: 13,
										Line:   35,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 19,
											Line:   35,
										},
										File:   "schema.flux",
										Source: "bucket",
										Start: ast.Position{
											Column: 13,
											Line:   35,
										},
									},
								},
								Name: "bucket",
							},
							Value: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 27,
											Line:   35,
										},
										File:   "schema.flux",
										Source: "bucket",
										Start: ast.Position{
											Column: 21,
											Line:   35,
										},
									},
								},
								Name: "bucket",
							},
						}, &ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 76,
										Line:   35,
									},
									File:   "schema.flux",
									Source: "predicate: (r) => r._measurement == measurement",
									Start: ast.Position{
										Column: 29,
										Line:   35,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 38,
											Line:   35,
										},
										File:   "schema.flux",
										Source: "predicate",
										Start: ast.Position{
											Column: 29,
											Line:   35,
										},
									},
								},
								Name: "predicate",
							},
							Value: &ast.FunctionExpression{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 76,
											Line:   35,
										},
										File:   "schema.flux",
										Source: "(r) => r._measurement == measurement",
										Start: ast.Position{
											Column: 40,
											Line:   35,
										},
									},
								},
								Body: &ast.BinaryExpression{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 76,
												Line:   35,
											},
											File:   "schema.flux",
											Source: "r._measurement == measurement",
											Start: ast.Position{
												Column: 47,
												Line:   35,
											},
										},
									},
									Left: &ast.MemberExpression{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 61,
													Line:   35,
												},
												File:   "schema.flux",
												Source: "r._measurement",
												Start: ast.Position{
													Column: 47,
													Line:   35,
												},
											},
										},
										Object: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 48,
														Line:   35,
													},
													File:   "schema.flux",
													Source: "r",
													Start: ast.Position{
														Column: 47,
														Line:   35,
													},
												},
											},
											Name: "r",
										},
										Property: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 61,
														Line:   35,
													},
													File:   "schema.flux",
													Source: "_measurement",
													Start: ast.Position{
														Column: 49,
														Line:   35,
													},
												},
											},
											Name: "_measurement",
										},
									},
									Operator: 17,
									Right: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 76,
													Line:   35,
												},
												File:   "schema.flux",
												Source: "measurement",
												Start: ast.Position{
													Column: 65,
													Line:   35,
												},
											},
										},
										Name: "measurement",
									},
								},
								Params: []*ast.Property{&ast.Property{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 42,
												Line:   35,
											},
											File:   "schema.flux",
											Source: "r",
											Start: ast.Position{
												Column: 41,
												Line:   35,
											},
										},
									},
									Key: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 42,
													Line:   35,
												},
												File:   "schema.flux",
												Source: "r",
												Start: ast.Position{
													Column: 41,
													Line:   35,
												},
											},
										},
										Name: "r",
									},
									Value: nil,
								}},
							},
						}},
						With: nil,
					}},
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 77,
								Line:   35,
							},
							File:   "schema.flux",
							Source: "tagKeys(bucket: bucket, predicate: (r) => r._measurement == measurement)",
							Start: ast.Position{
								Column: 5,
								Line:   35,
							},
						},
					},
					Callee: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 12,
									Line:   35,
								},
								File:   "schema.flux",
								Source: "tagKeys",
								Start: ast.Position{
									Column: 5,
									Line:   35,
								},
							},
						},
						Name: "tagKeys",
					},
				},
				Params: []*ast.Property{&ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 29,
								Line:   34,
							},
							File:   "schema.flux",
							Source: "bucket",
							Start: ast.Position{
								Column: 23,
								Line:   34,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 29,
									Line:   34,
								},
								File:   "schema.flux",
								Source: "bucket",
								Start: ast.Position{
									Column: 23,
									Line:   34,
								},
							},
						},
						Name: "bucket",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 42,
								Line:   34,
							},
							File:   "schema.flux",
							Source: "measurement",
							Start: ast.Position{
								Column: 31,
								Line:   34,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 42,
									Line:   34,
								},
								File:   "schema.flux",
								Source: "measurement",
								Start: ast.Position{
									Column: 31,
									Line:   34,
								},
							},
						},
						Name: "measurement",
					},
					Value: nil,
				}},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 81,
						Line:   40,
					},
					File:   "schema.flux",
					Source: "fieldKeys = (bucket, predicate=(r) => true, start=-30d) =>\n    tagValues(bucket: bucket, tag: \"_field\", predicate: predicate, start: start)",
					Start: ast.Position{
						Column: 1,
						Line:   39,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 10,
							Line:   39,
						},
						File:   "schema.flux",
						Source: "fieldKeys",
						Start: ast.Position{
							Column: 1,
							Line:   39,
						},
					},
				},
				Name: "fieldKeys",
			},
			Init: &ast.FunctionExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 81,
							Line:   40,
						},
						File:   "schema.flux",
						Source: "(bucket, predicate=(r) => true, start=-30d) =>\n    tagValues(bucket: bucket, tag: \"_field\", predicate: predicate, start: start)",
						Start: ast.Position{
							Column: 13,
							Line:   39,
						},
					},
				},
				Body: &ast.CallExpression{
					Arguments: []ast.Expression{&ast.ObjectExpression{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 80,
									Line:   40,
								},
								File:   "schema.flux",
								Source: "bucket: bucket, tag: \"_field\", predicate: predicate, start: start",
								Start: ast.Position{
									Column: 15,
									Line:   40,
								},
							},
						},
						Properties: []*ast.Property{&ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 29,
										Line:   40,
									},
									File:   "schema.flux",
									Source: "bucket: bucket",
									Start: ast.Position{
										Column: 15,
										Line:   40,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 21,
											Line:   40,
										},
										File:   "schema.flux",
										Source: "bucket",
										Start: ast.Position{
											Column: 15,
											Line:   40,
										},
									},
								},
								Name: "bucket",
							},
							Value: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 29,
											Line:   40,
										},
										File:   "schema.flux",
										Source: "bucket",
										Start: ast.Position{
											Column: 23,
											Line:   40,
										},
									},
								},
								Name: "bucket",
							},
						}, &ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 44,
										Line:   40,
									},
									File:   "schema.flux",
									Source: "tag: \"_field\"",
									Start: ast.Position{
										Column: 31,
										Line:   40,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 34,
											Line:   40,
										},
										File:   "schema.flux",
										Source: "tag",
										Start: ast.Position{
											Column: 31,
											Line:   40,
										},
									},
								},
								Name: "tag",
							},
							Value: &ast.StringLiteral{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 44,
											Line:   40,
										},
										File:   "schema.flux",
										Source: "\"_field\"",
										Start: ast.Position{
											Column: 36,
											Line:   40,
										},
									},
								},
								Value: "_field",
							},
						}, &ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 66,
										Line:   40,
									},
									File:   "schema.flux",
									Source: "predicate: predicate",
									Start: ast.Position{
										Column: 46,
										Line:   40,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 55,
											Line:   40,
										},
										File:   "schema.flux",
										Source: "predicate",
										Start: ast.Position{
											Column: 46,
											Line:   40,
										},
									},
								},
								Name: "predicate",
							},
							Value: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 66,
											Line:   40,
										},
										File:   "schema.flux",
										Source: "predicate",
										Start: ast.Position{
											Column: 57,
											Line:   40,
										},
									},
								},
								Name: "predicate",
							},
						}, &ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 80,
										Line:   40,
									},
									File:   "schema.flux",
									Source: "start: start",
									Start: ast.Position{
										Column: 68,
										Line:   40,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 73,
											Line:   40,
										},
										File:   "schema.flux",
										Source: "start",
										Start: ast.Position{
											Column: 68,
											Line:   40,
										},
									},
								},
								Name: "start",
							},
							Value: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 80,
											Line:   40,
										},
										File:   "schema.flux",
										Source: "start",
										Start: ast.Position{
											Column: 75,
											Line:   40,
										},
									},
								},
								Name: "start",
							},
						}},
						With: nil,
					}},
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 81,
								Line:   40,
							},
							File:   "schema.flux",
							Source: "tagValues(bucket: bucket, tag: \"_field\", predicate: predicate, start: start)",
							Start: ast.Position{
								Column: 5,
								Line:   40,
							},
						},
					},
					Callee: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 14,
									Line:   40,
								},
								File:   "schema.flux",
								Source: "tagValues",
								Start: ast.Position{
									Column: 5,
									Line:   40,
								},
							},
						},
						Name: "tagValues",
					},
				},
				Params: []*ast.Property{&ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 20,
								Line:   39,
							},
							File:   "schema.flux",
							Source: "bucket",
							Start: ast.Position{
								Column: 14,
								Line:   39,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 20,
									Line:   39,
								},
								File:   "schema.flux",
								Source: "bucket",
								Start: ast.Position{
									Column: 14,
									Line:   39,
								},
							},
						},
						Name: "bucket",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 43,
								Line:   39,
							},
							File:   "schema.flux",
							Source: "predicate=(r) => true",
							Start: ast.Position{
								Column: 22,
								Line:   39,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 31,
									Line:   39,
								},
								File:   "schema.flux",
								Source: "predicate",
								Start: ast.Position{
									Column: 22,
									Line:   39,
								},
							},
						},
						Name: "predicate",
					},
					Value: &ast.FunctionExpression{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 43,
									Line:   39,
								},
								File:   "schema.flux",
								Source: "(r) => true",
								Start: ast.Position{
									Column: 32,
									Line:   39,
								},
							},
						},
						Body: &ast.Identifier{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 43,
										Line:   39,
									},
									File:   "schema.flux",
									Source: "true",
									Start: ast.Position{
										Column: 39,
										Line:   39,
									},
								},
							},
							Name: "true",
						},
						Params: []*ast.Property{&ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 34,
										Line:   39,
									},
									File:   "schema.flux",
									Source: "r",
									Start: ast.Position{
										Column: 33,
										Line:   39,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 34,
											Line:   39,
										},
										File:   "schema.flux",
										Source: "r",
										Start: ast.Position{
											Column: 33,
											Line:   39,
										},
									},
								},
								Name: "r",
							},
							Value: nil,
						}},
					},
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 55,
								Line:   39,
							},
							File:   "schema.flux",
							Source: "start=-30d",
							Start: ast.Position{
								Column: 45,
								Line:   39,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 50,
									Line:   39,
								},
								File:   "schema.flux",
								Source: "start",
								Start: ast.Position{
									Column: 45,
									Line:   39,
								},
							},
						},
						Name: "start",
					},
					Value: &ast.UnaryExpression{
						Argument: &ast.DurationLiteral{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 55,
										Line:   39,
									},
									File:   "schema.flux",
									Source: "30d",
									Start: ast.Position{
										Column: 52,
										Line:   39,
									},
								},
							},
							Values: []ast.Duration{ast.Duration{
								Magnitude: int64(30),
								Unit:      "d",
							}},
						},
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 55,
									Line:   39,
								},
								File:   "schema.flux",
								Source: "-30d",
								Start: ast.Position{
									Column: 51,
									Line:   39,
								},
							},
						},
						Operator: 6,
					},
				}},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 93,
						Line:   45,
					},
					File:   "schema.flux",
					Source: "measurementFieldKeys = (bucket, measurement, start=-30d) =>\n    fieldKeys(bucket: bucket, predicate: (r) => r._measurement == measurement, start: start)",
					Start: ast.Position{
						Column: 1,
						Line:   44,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 21,
							Line:   44,
						},
						File:   "schema.flux",
						Source: "measurementFieldKeys",
						Start: ast.Position{
							Column: 1,
							Line:   44,
						},
					},
				},
				Name: "measurementFieldKeys",
			},
			Init: &ast.FunctionExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 93,
							Line:   45,
						},
						File:   "schema.flux",
						Source: "(bucket, measurement, start=-30d) =>\n    fieldKeys(bucket: bucket, predicate: (r) => r._measurement == measurement, start: start)",
						Start: ast.Position{
							Column: 24,
							Line:   44,
						},
					},
				},
				Body: &ast.CallExpression{
					Arguments: []ast.Expression{&ast.ObjectExpression{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 92,
									Line:   45,
								},
								File:   "schema.flux",
								Source: "bucket: bucket, predicate: (r) => r._measurement == measurement, start: start",
								Start: ast.Position{
									Column: 15,
									Line:   45,
								},
							},
						},
						Properties: []*ast.Property{&ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 29,
										Line:   45,
									},
									File:   "schema.flux",
									Source: "bucket: bucket",
									Start: ast.Position{
										Column: 15,
										Line:   45,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 21,
											Line:   45,
										},
										File:   "schema.flux",
										Source: "bucket",
										Start: ast.Position{
											Column: 15,
											Line:   45,
										},
									},
								},
								Name: "bucket",
							},
							Value: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 29,
											Line:   45,
										},
										File:   "schema.flux",
										Source: "bucket",
										Start: ast.Position{
											Column: 23,
											Line:   45,
										},
									},
								},
								Name: "bucket",
							},
						}, &ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 78,
										Line:   45,
									},
									File:   "schema.flux",
									Source: "predicate: (r) => r._measurement == measurement",
									Start: ast.Position{
										Column: 31,
										Line:   45,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 40,
											Line:   45,
										},
										File:   "schema.flux",
										Source: "predicate",
										Start: ast.Position{
											Column: 31,
											Line:   45,
										},
									},
								},
								Name: "predicate",
							},
							Value: &ast.FunctionExpression{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 78,
											Line:   45,
										},
										File:   "schema.flux",
										Source: "(r) => r._measurement == measurement",
										Start: ast.Position{
											Column: 42,
											Line:   45,
										},
									},
								},
								Body: &ast.BinaryExpression{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 78,
												Line:   45,
											},
											File:   "schema.flux",
											Source: "r._measurement == measurement",
											Start: ast.Position{
												Column: 49,
												Line:   45,
											},
										},
									},
									Left: &ast.MemberExpression{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 63,
													Line:   45,
												},
												File:   "schema.flux",
												Source: "r._measurement",
												Start: ast.Position{
													Column: 49,
													Line:   45,
												},
											},
										},
										Object: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 50,
														Line:   45,
													},
													File:   "schema.flux",
													Source: "r",
													Start: ast.Position{
														Column: 49,
														Line:   45,
													},
												},
											},
											Name: "r",
										},
										Property: &ast.Identifier{
											BaseNode: ast.BaseNode{
												Errors: nil,
												Loc: &ast.SourceLocation{
													End: ast.Position{
														Column: 63,
														Line:   45,
													},
													File:   "schema.flux",
													Source: "_measurement",
													Start: ast.Position{
														Column: 51,
														Line:   45,
													},
												},
											},
											Name: "_measurement",
										},
									},
									Operator: 17,
									Right: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 78,
													Line:   45,
												},
												File:   "schema.flux",
												Source: "measurement",
												Start: ast.Position{
													Column: 67,
													Line:   45,
												},
											},
										},
										Name: "measurement",
									},
								},
								Params: []*ast.Property{&ast.Property{
									BaseNode: ast.BaseNode{
										Errors: nil,
										Loc: &ast.SourceLocation{
											End: ast.Position{
												Column: 44,
												Line:   45,
											},
											File:   "schema.flux",
											Source: "r",
											Start: ast.Position{
												Column: 43,
												Line:   45,
											},
										},
									},
									Key: &ast.Identifier{
										BaseNode: ast.BaseNode{
											Errors: nil,
											Loc: &ast.SourceLocation{
												End: ast.Position{
													Column: 44,
													Line:   45,
												},
												File:   "schema.flux",
												Source: "r",
												Start: ast.Position{
													Column: 43,
													Line:   45,
												},
											},
										},
										Name: "r",
									},
									Value: nil,
								}},
							},
						}, &ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 92,
										Line:   45,
									},
									File:   "schema.flux",
									Source: "start: start",
									Start: ast.Position{
										Column: 80,
										Line:   45,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 85,
											Line:   45,
										},
										File:   "schema.flux",
										Source: "start",
										Start: ast.Position{
											Column: 80,
											Line:   45,
										},
									},
								},
								Name: "start",
							},
							Value: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 92,
											Line:   45,
										},
										File:   "schema.flux",
										Source: "start",
										Start: ast.Position{
											Column: 87,
											Line:   45,
										},
									},
								},
								Name: "start",
							},
						}},
						With: nil,
					}},
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 93,
								Line:   45,
							},
							File:   "schema.flux",
							Source: "fieldKeys(bucket: bucket, predicate: (r) => r._measurement == measurement, start: start)",
							Start: ast.Position{
								Column: 5,
								Line:   45,
							},
						},
					},
					Callee: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 14,
									Line:   45,
								},
								File:   "schema.flux",
								Source: "fieldKeys",
								Start: ast.Position{
									Column: 5,
									Line:   45,
								},
							},
						},
						Name: "fieldKeys",
					},
				},
				Params: []*ast.Property{&ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 31,
								Line:   44,
							},
							File:   "schema.flux",
							Source: "bucket",
							Start: ast.Position{
								Column: 25,
								Line:   44,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 31,
									Line:   44,
								},
								File:   "schema.flux",
								Source: "bucket",
								Start: ast.Position{
									Column: 25,
									Line:   44,
								},
							},
						},
						Name: "bucket",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 44,
								Line:   44,
							},
							File:   "schema.flux",
							Source: "measurement",
							Start: ast.Position{
								Column: 33,
								Line:   44,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 44,
									Line:   44,
								},
								File:   "schema.flux",
								Source: "measurement",
								Start: ast.Position{
									Column: 33,
									Line:   44,
								},
							},
						},
						Name: "measurement",
					},
					Value: nil,
				}, &ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 56,
								Line:   44,
							},
							File:   "schema.flux",
							Source: "start=-30d",
							Start: ast.Position{
								Column: 46,
								Line:   44,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 51,
									Line:   44,
								},
								File:   "schema.flux",
								Source: "start",
								Start: ast.Position{
									Column: 46,
									Line:   44,
								},
							},
						},
						Name: "start",
					},
					Value: &ast.UnaryExpression{
						Argument: &ast.DurationLiteral{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 56,
										Line:   44,
									},
									File:   "schema.flux",
									Source: "30d",
									Start: ast.Position{
										Column: 53,
										Line:   44,
									},
								},
							},
							Values: []ast.Duration{ast.Duration{
								Magnitude: int64(30),
								Unit:      "d",
							}},
						},
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 56,
									Line:   44,
								},
								File:   "schema.flux",
								Source: "-30d",
								Start: ast.Position{
									Column: 52,
									Line:   44,
								},
							},
						},
						Operator: 6,
					},
				}},
			},
		}, &ast.VariableAssignment{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 51,
						Line:   49,
					},
					File:   "schema.flux",
					Source: "measurements = (bucket) =>\n    tagValues(bucket: bucket, tag: \"_measurement\")",
					Start: ast.Position{
						Column: 1,
						Line:   48,
					},
				},
			},
			ID: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 13,
							Line:   48,
						},
						File:   "schema.flux",
						Source: "measurements",
						Start: ast.Position{
							Column: 1,
							Line:   48,
						},
					},
				},
				Name: "measurements",
			},
			Init: &ast.FunctionExpression{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 51,
							Line:   49,
						},
						File:   "schema.flux",
						Source: "(bucket) =>\n    tagValues(bucket: bucket, tag: \"_measurement\")",
						Start: ast.Position{
							Column: 16,
							Line:   48,
						},
					},
				},
				Body: &ast.CallExpression{
					Arguments: []ast.Expression{&ast.ObjectExpression{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 50,
									Line:   49,
								},
								File:   "schema.flux",
								Source: "bucket: bucket, tag: \"_measurement\"",
								Start: ast.Position{
									Column: 15,
									Line:   49,
								},
							},
						},
						Properties: []*ast.Property{&ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 29,
										Line:   49,
									},
									File:   "schema.flux",
									Source: "bucket: bucket",
									Start: ast.Position{
										Column: 15,
										Line:   49,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 21,
											Line:   49,
										},
										File:   "schema.flux",
										Source: "bucket",
										Start: ast.Position{
											Column: 15,
											Line:   49,
										},
									},
								},
								Name: "bucket",
							},
							Value: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 29,
											Line:   49,
										},
										File:   "schema.flux",
										Source: "bucket",
										Start: ast.Position{
											Column: 23,
											Line:   49,
										},
									},
								},
								Name: "bucket",
							},
						}, &ast.Property{
							BaseNode: ast.BaseNode{
								Errors: nil,
								Loc: &ast.SourceLocation{
									End: ast.Position{
										Column: 50,
										Line:   49,
									},
									File:   "schema.flux",
									Source: "tag: \"_measurement\"",
									Start: ast.Position{
										Column: 31,
										Line:   49,
									},
								},
							},
							Key: &ast.Identifier{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 34,
											Line:   49,
										},
										File:   "schema.flux",
										Source: "tag",
										Start: ast.Position{
											Column: 31,
											Line:   49,
										},
									},
								},
								Name: "tag",
							},
							Value: &ast.StringLiteral{
								BaseNode: ast.BaseNode{
									Errors: nil,
									Loc: &ast.SourceLocation{
										End: ast.Position{
											Column: 50,
											Line:   49,
										},
										File:   "schema.flux",
										Source: "\"_measurement\"",
										Start: ast.Position{
											Column: 36,
											Line:   49,
										},
									},
								},
								Value: "_measurement",
							},
						}},
						With: nil,
					}},
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 51,
								Line:   49,
							},
							File:   "schema.flux",
							Source: "tagValues(bucket: bucket, tag: \"_measurement\")",
							Start: ast.Position{
								Column: 5,
								Line:   49,
							},
						},
					},
					Callee: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 14,
									Line:   49,
								},
								File:   "schema.flux",
								Source: "tagValues",
								Start: ast.Position{
									Column: 5,
									Line:   49,
								},
							},
						},
						Name: "tagValues",
					},
				},
				Params: []*ast.Property{&ast.Property{
					BaseNode: ast.BaseNode{
						Errors: nil,
						Loc: &ast.SourceLocation{
							End: ast.Position{
								Column: 23,
								Line:   48,
							},
							File:   "schema.flux",
							Source: "bucket",
							Start: ast.Position{
								Column: 17,
								Line:   48,
							},
						},
					},
					Key: &ast.Identifier{
						BaseNode: ast.BaseNode{
							Errors: nil,
							Loc: &ast.SourceLocation{
								End: ast.Position{
									Column: 23,
									Line:   48,
								},
								File:   "schema.flux",
								Source: "bucket",
								Start: ast.Position{
									Column: 17,
									Line:   48,
								},
							},
						},
						Name: "bucket",
					},
					Value: nil,
				}},
			},
		}},
		Imports:  nil,
		Metadata: "parser-type=rust",
		Name:     "schema.flux",
		Package: &ast.PackageClause{
			BaseNode: ast.BaseNode{
				Errors: nil,
				Loc: &ast.SourceLocation{
					End: ast.Position{
						Column: 15,
						Line:   1,
					},
					File:   "schema.flux",
					Source: "package schema",
					Start: ast.Position{
						Column: 1,
						Line:   1,
					},
				},
			},
			Name: &ast.Identifier{
				BaseNode: ast.BaseNode{
					Errors: nil,
					Loc: &ast.SourceLocation{
						End: ast.Position{
							Column: 15,
							Line:   1,
						},
						File:   "schema.flux",
						Source: "schema",
						Start: ast.Position{
							Column: 9,
							Line:   1,
						},
					},
				},
				Name: "schema",
			},
		},
	}},
	Package: "schema",
	Path:    "influxdata/influxdb/schema",
}
